/*
    Valtra Tractors
    Copyright 2004 Martin Storsj

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Martin Storsj
    martin@martin.st
*/

#ifndef __EFFECTS_H
#define __EFFECTS_H

#include <SDL.h>



enum TilePos { THIS, UPLEFT, UP, UPRIGHT, DOWNRIGHT, DOWN, DOWNLEFT };
TilePos operator++(TilePos &pos, int); // implemented in board.cpp!


const SDL_PixelFormat ARGB_fmt = {
	NULL,
	32, 4,
	0, 0, 0, 0,
	16, 8, 0, 24,
	0x00FF0000, 0x0000FF00, 0x000000FF, 0xFF000000,
	0, 0
};

class Effects {
private:
	static Uint8 *highlightbuffer;
	static float distdata[24];
	static float getDist(int x, int y, int offset);
public:
	static void precalcHighlight(SDL_Rect *highlightSize);
	static SDL_Surface *createHighlight(const TilePos *which, int maxalpha = 255, int color = 0x00FF0000);
	static SDL_Surface *createHighlight(TilePos which = THIS, int maxalpha = 255, int color = 0x00FF0000);

	static SDL_Surface *multAlpha(SDL_Surface *in, int alpha);
	static SDL_Surface *gray(SDL_Surface *in);

	static SDL_Surface *rotate(SDL_Surface *in, double angle, bool smooth);
};


#endif
