# Valtra Tractors game installer

!define UNINSTKEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\tractor"
!define SMNAME "Valtra Tractors"

Name "Valtra Tractors"
BrandingText "Martin && Markus Storsj"
OutFile "installer.exe"
InstallDir "$PROGRAMFILES\Valtra Tractors\"
#Icon "icon.ico"
#UninstallIcon "icon.ico"
WindowIcon off
InstProgressFlags smooth
LicenseData COPYING

Page license
Page components
Page directory
Page instfiles
UninstPage uninstConfirm
UninstPage instfiles

Section "Game Data"
	SectionIn RO
	SetOutPath $INSTDIR
	File tractor.exe
	File *.dll
	File /oname=COPYING.txt COPYING
	File /oname=COPYING-BITSTREAM.txt COPYING.BITSTREAM
	File README-SDL.txt
	File README.txt
#	File *.png
#	File *.ttf
SectionEnd

Section "Start Menu Shortcuts"
	CreateDirectory "$SMPROGRAMS\${SMNAME}"
	CreateShortCut "$SMPROGRAMS\${SMNAME}\Uninstall.lnk" "$INSTDIR\uninst.exe"
	CreateShortCut "$SMPROGRAMS\${SMNAME}\Valtra Tractors.lnk" "$INSTDIR\tractor.exe"
	CreateShortCut "$SMPROGRAMS\${SMNAME}\Read Me.lnk" "$INSTDIR\README.txt"
SectionEnd
Section "un.Start Menu Shortcuts"
	RMDir /r "$SMPROGRAMS\${SMNAME}"
SectionEnd

Section /o "Desktop Icon"
	CreateShortCut "$DESKTOP\Valtra Tractors.lnk" "$INSTDIR\tractor.exe"
SectionEnd
Section "un.Desktop Icon"
	Delete "$DESKTOP\Valtra Tractors.lnk"
SectionEnd

Section "-uninstaller"
	WriteUninstaller uninst.exe
	WriteRegStr HKCU ${UNINSTKEY} "DisplayName" "Valtra Tractors"
	WriteRegStr HKCU ${UNINSTKEY} "UninstallString" "$\"$INSTDIR\uninst.exe$\""
	WriteRegStr HKCU ${UNINSTKEY} "DisplayIcon" "$\"$INSTDIR\tractor.exe$\""
	WriteRegDWORD HKCU ${UNINSTKEY} "NoModify" 1
	WriteRegDWORD HKCU ${UNINSTKEY} "NoRepair" 1
	WriteRegStr HKCU ${UNINSTKEY} "InstallLocation" "$\"$INSTDIR$\""
SectionEnd

#Section /o "Source Code"
#	SetOutPath $INSTDIR\source
#	File *.cpp
#	File *.h
#	File *.rc
#	File *.ico
#	File Makefile*
#	File *.nsi
#	File *.png
#	File *.ttf
#	File COPYING
#	File README*
#SectionEnd

Section "Uninstall"
	Delete $INSTDIR\uninst.exe
	Delete $INSTDIR\tractor.exe
	Delete $INSTDIR\*.png
	Delete $INSTDIR\*.ttf
	Delete $INSTDIR\*.dll
	Delete $INSTDIR\*.txt
	RMDir /r $INSTDIR
	DeleteRegKey HKCU ${UNINSTKEY}
SectionEnd


